Package svnmailer :: Package notifier :: Module _textnews

[hide private]

# Module _textnews

source code

Text based news notifier

Author: Andr\xc3\xa9 Malo

Classes | [hide private]

| TextNewsNotifier Bases class for news notifiers

Functions | [hide private]

`list`

getNotifier(cls, settings, groupset) Returns an initialized notifier or nothing | source code

Variables | [hide private]

| __package__ = ``'``svnmailer.notifier``'``

Function Details | [hide private]

### getNotifier(cls, settings, groupset)

source code

Returns an initialized notifier or nothing

Parameters:
  - `cls` (`class`) - The notifier base class to use
  - `settings` (`svnmailer.settings.Settings`) - The svnmailer settings
  - `groupset` (`list`) - The groupset to process
Returns: `list`
  The list of notifiers (containing 0 or 1 member)